ch.qos.logback.core.encoder

## Class EchoEncoder<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.encoder.EncoderBase<E>
    - - ch.qos.logback.core.encoder.EchoEncoder<E>

All Implemented Interfaces:
  Encoder<E>, ContextAware, LifeCycle

    public class EchoEncoder<E>
    extends EncoderBase<E>

### Field Summary

### Fields inherited from class ch.qos.logback.core.encoder.EncoderBase

`outputStream, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`EchoEncoder()`

### Method Summary

Methods
`void` `close()` This method is called prior to the closing of the underling `OutputStream`.
`void` `doEncode(E event)` Encode and write an event to the appropriate `OutputStream`.
`void` `init(java.io.OutputStream os)` This method is called when the owning appender starts or whenever output needs to be directed to a new OutputStream, for instance as a result of a rollover.

### Methods inherited from class ch.qos.logback.core.encoder.EncoderBase

`isStarted, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### EchoEncoder

    public EchoEncoder()

### Method Detail

#### doEncode

    public void doEncode(E event)
                  throws java.io.IOException

Description copied from interface: `Encoder`
Encode and write an event to the appropriate `OutputStream`. Implementations are free to differ writing out of the encoded event and instead write in batches.

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Description copied from interface: `Encoder`
This method is called prior to the closing of the underling `OutputStream`. Implementations MUST not close the underlying `OutputStream` which is the responsibility of the owning appender.

Throws:
  `java.io.IOException`

#### init

    public void init(java.io.OutputStream os)
              throws java.io.IOException

Description copied from interface: `Encoder`
This method is called when the owning appender starts or whenever output needs to be directed to a new OutputStream, for instance as a result of a rollover. Implementing encoders should at the very least remember the OutputStream passed as argument and use it in future operations.

Specified by:
  `init` in interface `Encoder<E>`
Overrides:
  `init` in class `EncoderBase<E>`
Throws:
  `java.io.IOException`